html, body { padding: 0; margin: 0; width: 100%; height: 100%; overflow: hidden }
#unity-container { position: fixed; width: 100%; height: 100% }
#unity-canvas { width: 100%; height: 100%; background: #231F20 }
#unity-loading-bar { position: absolute; left: 50%; top: 50%; transform: translate(-50%, -50%); display: none; text-align: center }
#unity-progress-text { color: white; font-family: arial, sans-serif; font-size: 16px; margin-bottom: 10px }
#unity-progress-track { position: relative; width: 240px; height: 18px; border: 2px solid white }
#unity-progress-green { position: absolute; left: 0; top: 0; height: 100%; width: 0%; background: #046A38; transition: width 0.2s }
#unity-progress-red { position: absolute; left: 35%; top: 0; height: 100%; width: 0%; background: #DA291C; transition: width 0.2s }
#unity-progress-emblem { position: absolute; left: 35%; top: 50%; transform: translate(-50%, -50%); width: 36px; height: 36px; opacity: 0; transition: opacity 0.4s }
#unity-warning { position: absolute; left: 50%; top: 5%; transform: translate(-50%); background: white; padding: 10px; display: none }
